### Method

# EBookContacts VCardAttribute get_values_decoded

#### Declaration [src]

    GList*
    e_vcard_attribute_get_values_decoded (
      EVCardAttribute* attr
    )

#### Description [src]

Gets the ordered list of values from `attr`, decoding them if necessary according to the encoding given in the vCard’s `ENCODING` attribute. The list and its contents are owned by `attr`, and must not be freed.

This may be called on a single-valued attribute (i.e. one for which `e_vcard_attribute_is_single_valued()` returns `TRUE`) and will return a one-element list in that case. Alternatively, use `e_vcard_attribute_get_value_decoded()` in such cases.

#### Return value

Type: A list of `GString*`

A list of values of type `GString`.

The returned data is owned by the instance.